Erreur sur le serveur de ressource lorsque je veux charger une image

More
4 months 4 weeks ago #216408 by Philippe
Bonjour à tous,

Lorsque je veux intégrer une image dans un questionnaire, quelque soit l'endroit (élément de texte ou direct dans une question), dès que je veux parcourir le serveur j'ai cette erreur qui s'affiche :
Internal Server ErrorClass "Twig_Environment" not foundAn internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.
J'ai mis deux copies d'écran en attachments si ça peux aider.
Merci pour votre aide
Amicalement
Philippe
 
Attachments:

Please Log in to join the conversation.

More
4 months 4 weeks ago #216426 by DenisChenu
On va attendre de régler l'autre soucis …

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

More
4 months 4 weeks ago #216433 by Philippe
... C'est pas le même serveur en fait ...
Mais je vais pas jouer avec celui là car c'est le prod du taff ...
Je l'avais mis à jour celui là il est en 3.26.4 et il me signale pas de Mise à Jour à faire...
Peut être un autre problème ?
Philippe

Please Log in to join the conversation.

More
4 months 4 weeks ago #216436 by Philippe
... Heu l'autre aussi c'est de la Prod mais pas le même niveau de criticité...
--
Sinon, pour faire un peu avancer le raisonnement j'ai essayé de changer le Template pour mettre un template natif (non modifié) et ça change rien...
...
Snif...
Philippe

Please Log in to join the conversation.

More
4 months 4 weeks ago #216443 by DenisChenu
Tu peux activer le mode debug ?
Voir si ca change quelquechose.

C'est sur un OVH ? Hébergement mutu ?

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

More
4 months 4 weeks ago #216452 by Philippe
Re
J'ai activé le mode debug mais je vois pas de différence.
Est ce qu'il faut que j'aille chercher des log quelque part ou c'est visible de suite ?

Non, celui là il est sur un serveur du boulot. Pas d'hébergement mutualisé

Philippe
 

Please Log in to join the conversation.

More
4 months 4 weeks ago #216458 by DenisChenu
Tu as quoi comme include_path ?
Tui as un open_basedir restreint ?
Type de serveur, version de PHP ?
Et : version de LimeSurvey.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

More
4 months 3 weeks ago - 4 months 3 weeks ago #216504 by Philippe
Bonsoir Denis,

Désolé pour le délai de réponse mais ma journée d'aujourd'hui était dédiée à mon "autre" métier...
Alors les réponses sont :
LS est installé sur un serveur Windows server 2012 R2 virtualisé dans une VMware entreprise (on a plusieurs serveurs comme ça)
Il est intégralement dédié à un Intranet installé sous XAMPP version 8.0.3
La version de php que j'ai mise a jour il y a très peu de temps est 8.0.3
la version de LS est 3.26.4+ 210517 (et j'ai pas fait encore la mise à jour à cause de l'autre problème que j'ai eu sur les autres serveur ... j'ai pas osé mais comme ici c'est php 8 ça risque probablement rien...)
l'include_path = D:\xampp\php\PEAR
open_basedir n'est probablement pas restreint car je lis "no value" en face de ce parametre...

Voilà, voila...
Amicalement et encore merci
Philippe
Last edit: 4 months 3 weeks ago by Philippe. Reason: pas fini le message qu'il est parti comme une fusée... ;-)

Please Log in to join the conversation.

More
4 months 3 weeks ago #216513 by DenisChenu
> l'include_path = D:\xampp\php\PEAR

Que ça ?
Il faut absolument ajouter le "."

Si tu utilise pas la ligne de commande
Tente un set_include_path("."); au début du fichier de config.


Sinon : t'es déjà en PHP8 ??? on est pas censé être compatible en version 3.X
Mais attend quand même la prochaine release pour la mise à jour. Le problème de composer est particulier.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

Moderators: Nickko

Start now!

Just create your account and start using Limesurvey today.

Register now